
From: Alasdair G Kergon <agk@redhat.com>

Make __unlock_fs() void.

From: Christoph Hellwig <hch@lst.de>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/dm.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/md/dm.c~device-mapper-__unlock_fs-void drivers/md/dm.c
--- 25/drivers/md/dm.c~device-mapper-__unlock_fs-void	Wed May  4 13:10:23 2005
+++ 25-akpm/drivers/md/dm.c	Wed May  4 13:10:23 2005
@@ -1009,18 +1009,16 @@ static int __lock_fs(struct mapped_devic
 	return 0;
 }
 
-static int __unlock_fs(struct mapped_device *md)
+static void __unlock_fs(struct mapped_device *md)
 {
 	if (!test_and_clear_bit(DMF_FS_LOCKED, &md->flags))
-		return 0;
+		return;
 
 	thaw_bdev(md->frozen_bdev, md->frozen_sb);
 	bdput(md->frozen_bdev);
 
 	md->frozen_sb = NULL;
 	md->frozen_bdev = NULL;
-
-	return 0;
 }
 
 /*
_
